VPS侦探论坛

 找回密码
 注册
查看: 396|回复: 2

lnmp 1.8 php安装失败

[复制链接]
发表于 2022-2-17 12:18:18 | 显示全部楼层 |阅读模式



服务器版本
Linux Action.Map.Service-01 4.18.0-147.8.1.el8_1.x86_64 #1 SMP Thu Apr 9 13:49:54 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux


centos8
安装错误日志
https://wss1.cn/f/7mnsgmavxn2 复制链接到浏览器打开

请大神帮忙排查原因,谢谢
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-2-17 13:54:41 | 显示全部楼层


软件包 libxml2-2.9.7-5.el8.x86_64 已安装。
错误:
问题: cannot install both libxml2-2.9.7-9.el8_4.2.x86_64 and libxml2-2.9.7-5.el8.x86_64
  - package libxml2-devel-2.9.7-5.el8.x86_64 requires libxml2(x86-64) = 2.9.7-5.el8, but none of the providers can be installed
  - cannot install the best candidate for the job
  - problem with installed package libxml2-devel-2.9.7-5.el8.x86_64
(尝试在命令行中添加 '--allowerasing' 来替换冲突的软件包 或 '--skip-broken' 来跳过无法安装的软件包 或 '--nobest' 来不只使用最佳选择的软件包)

。。。。。。
configure: error: jpeglib.h not found.
make: *** 没有指明目标并且找不到 makefile。 停止。

第一个问题 yum remove libxml2-2.9.7-9.el8_4.2.x86_64 之后 yum install libxml2-devel
或dnf install libxml2-devel --allowerasing 试试

第二个问题 find / -name jpeglib.h 看一下,没有的话 dnf install libjpeg-turbo-devel

如果都不报错的话再重新安装lnmp就行了
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2022-2-17 14:50:13 | 显示全部楼层

好的  我试下  谢谢军哥
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-5-27 21:22 , Processed in 0.016102 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表